	subroutine abbr_s
	implicit character (a-s,u-z)
	implicit double complex (t)

#include "vars.h"

	Scale = 1/Sqrt(S)
	cint3 = B0(S,0.D0,0.D0)
	cint4 = B0(S,0.D0,MZ2)
	cint5 = B0(S,MH2,MH2)
	cint6 = B0(S,MW2,MW2)
	cint7 = B0(S,MZ2,MZ2)
	cint14 = B0(MW2,0.D0,MW2)
	cint15 = B0(MW2,MW2,MZ2)
	cint37 = B00(S,0.D0,0.D0)
	cint38 = B1(S,0.D0,0.D0)
	cint41 = A0(MW2)
	cint42 = B00(S,MW2,MW2)
	cint43 = B1(S,MW2,MW2)
	cint44 = A0(MH2)
	cint45 = A0(MZ2)
	cint46 = B1(S,MZ2,MZ2)
	cint47 = B0(S,MH2,MZ2)
	cint48 = B00(S,MH2,MZ2)
	cint54 = B1(MW2,0.D0,MW2)
	cint55 = B1(MW2,MZ2,MW2)
	cint56 = B0(MW2,MH2,MW2)
	iint9 = Cget(MW2,S,MW2,0.D0,MW2,MW2)
	iint10 = Cget(MW2,S,MW2,MW2,0.D0,0.D0)
	iint11 = Cget(MW2,S,MW2,MW2,MH2,MH2)
	iint12 = Cget(MW2,S,MW2,MW2,0.D0,MZ2)
	iint13 = Cget(MW2,S,MW2,MW2,MZ2,0.D0)
	iint14 = Cget(MW2,S,MW2,MW2,MZ2,MZ2)
	iint15 = Cget(MW2,S,MW2,MZ2,MW2,MW2)
	iint17 = Cget(MW2,S,MW2,MH2,MW2,MW2)
	iint28 = Cget(S,MW2,MW2,0.D0,0.D0,MW2)
	iint29 = Cget(S,MW2,MW2,0.D0,MZ2,MW2)
	iint30 = Cget(S,MW2,MW2,0.D0,MH2,MW2)
	iint31 = Cget(S,MW2,MW2,MH2,0.D0,MW2)
	iint32 = Cget(S,MW2,MW2,MW2,MW2,0.D0)
	iint33 = Cget(S,MW2,MW2,MW2,MW2,MH2)
	iint34 = Cget(S,MW2,MW2,MW2,MW2,MZ2)
	iint35 = Cget(S,MW2,MW2,MZ2,0.D0,MW2)
	iint36 = Cget(S,MW2,MW2,MH2,MZ2,MW2)
	iint37 = Cget(S,MW2,MW2,MZ2,MH2,MW2)
	iint38 = Cget(S,MW2,MW2,MZ2,MZ2,MW2)
	iint91 = Cget(MW2,S,MW2,MW2,MH2,MZ2)
	iint92 = Cget(MW2,S,MW2,MW2,MZ2,MH2)

	do Gen1 = 1, 3
	cint1(Gen1) = B0(MW2,0.D0,MLE2(Gen1))
	cint2(Gen1) = B0(MW2,MQD2(Gen1),MQU2(Gen1))
	cint16(Gen1) = A0(MLE2(Gen1))
	cint17(Gen1) = A0(MQD2(Gen1))
	cint18(Gen1) = A0(MQU2(Gen1))
	cint19(Gen1) = B00(S,MLE2(Gen1),MLE2(Gen1))
	cint20(Gen1) = B00(S,MQD2(Gen1),MQD2(Gen1))
	cint21(Gen1) = B00(S,MQU2(Gen1),MQU2(Gen1))
	cint22(Gen1) = B1(S,MLE2(Gen1),MLE2(Gen1))
	cint23(Gen1) = B1(S,MQD2(Gen1),MQD2(Gen1))
	cint24(Gen1) = B1(S,MQU2(Gen1),MQU2(Gen1))
	cint31(Gen1) = B0(S,MLE2(Gen1),MLE2(Gen1))
	cint32(Gen1) = B0(S,MQD2(Gen1),MQD2(Gen1))
	cint33(Gen1) = B0(S,MQU2(Gen1),MQU2(Gen1))
	iint1(Gen1) = Cget(S,MW2,MW2,0.D0,0.D0,MLE2(Gen1))
	iint2(Gen1) = Cget(S,MW2,MW2,MLE2(Gen1),MLE2(Gen1),0.D0)
	iint3(Gen1) = Cget(S,MW2,MW2,MQD2(Gen1),MQD2(Gen1),MQU2(Gen1))
	iint4(Gen1) = Cget(S,MW2,MW2,MQU2(Gen1),MQU2(Gen1),MQD2(Gen1))
	iint83(Gen1) = Cget(MW2,S,MW2,0.D0,MLE2(Gen1),MLE2(Gen1))
	iint84(Gen1) = Cget(MW2,S,MW2,MQU2(Gen1),MQD2(Gen1),MQD2(Gen1))
	iint85(Gen1) = Cget(MW2,S,MW2,MQD2(Gen1),MQU2(Gen1),MQU2(Gen1))
	iint90(Gen1) = Cget(MW2,S,MW2,MLE2(Gen1),0.D0,0.D0)
	enddo
	end

